From 41e7d468246440f30bc75e7a6a316a9a07e77b23 Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl-gentoo@posteo.net>
Date: Sun, 6 Mar 2022 10:07:09 +0100
Subject: [PATCH] half.h: include intrinsics for f16c capable x86 targets

Reported-by: bzoloid <bzoloid@gmail.com>
Suggested-by: bzoloid <bzoloid@gmail.com>

Bug: https://bugs.gentoo.org/834628
Bug: https://github.com/AcademySoftwareFoundation/Imath/issues/239

Signed-off-by: Bernd Waibel <waebbl-gentoo@posteo.net>
--- a/src/Imath/half.h
+++ b/src/Imath/half.h
@@ -181,6 +181,8 @@
 #        include <intrin.h>
 #elif defined(__x86_64__)
 #        include <x86intrin.h>
+#elif defined(__F16C__)
+#		include <immintrin.h>
 #endif
 
 #include <stdint.h>
-- 
2.35.1

